*******
**PROGRAMA PARA JUNTAR BASES DE DATOS
**EVALUACION PREP 2012
**DR. RAYMUNDO M. CAMPOS VAZQUEZ
*******

clear all
set more off
set rmsg on
set mem 1000m 
set matsize 2000
set seed 12345

************
****FOLDERS
************
**Nombramos el directorio con el que se realizar el trabajo*
global NDATA="C:\Users\Raymundo Campos\Dropbox\Firm_Experiment\PREP\NEW DATA\"
global DATA="C:\Users\Raymundo Campos\Dropbox\Firm_Experiment\PREP\data\"
global prog="C:\Users\Raymundo Campos\Dropbox\Firm_Experiment\PREP\DO\"
global log="C:\Users\Raymundo Campos\Dropbox\Firm_Experiment\PREP\log\"
global graph="C:\Users\Raymundo Campos\Dropbox\Firm_Experiment\PREP\GRAFICAS\"

**Computadora colmex
**Nombramos el directorio con el que se realizar el trabajo*
global NDATA="C:\Users\rmcampos\Dropbox\Firm_Experiment\PREP\NEW DATA\"
global DATA="C:\Users\rmcampos\Dropbox\Firm_Experiment\PREP\data\"
global prog="C:\Users\rmcampos\Dropbox\Firm_Experiment\PREP\DO\"
global log="C:\Users\rmcampos\Dropbox\Firm_Experiment\PREP\log\"
global graph="C:\Users\rmcampos\Dropbox\Firm_Experiment\PREP\GRAFICAS\"


**Emilio 
*global DATA= "C:\Users\Big Cuilty\Dropbox\Firm_Experiment\PREP\DATA"
*global NDATA= "C:\Users\Big Cuilty\Dropbox\Firm_Experiment\PREP\NEW DATA"

***********************************************
clear


*Se domienza con la base de 2009*
use "$DATA\Encuesta 2009.dta"

*Se mantienen las variables con las que se realizar la evaluacin*
keep  clave_unica ao CANCELAD Cve_edo nombre_edo Cve_mun Cve_loc \\\\ 
cve_mz estrato folio p016 p023 p017 p022 p013 Factor  ao
gen clavedemunicipio=Cve_edo+Cve_mun
destring clavedemunicipio, replace

*Se genera la variable que indica el ao en que se encuetra el programa*
gen tiempo=0
gen ao_encuesta=09

*Se procede a generar  la varaible de percepcin de seguridad*
gen per_seguridad=1 if p016==1 | p016==2
replace per_seguridad=0 if p016==3
gen per_seguridad2=1 if p016==1
replace per_seguridad2=0 if  p016!=1
drop p016


*Se procede a generar  la varaible de condiciones de seguridad*
gen per_conseg=1 if p023==1 | p023==2
replace per_conseg=0 if p023==3 | p023==4
gen per_conseg2=0
replace per_conseg2=1 if p023==1
drop p023

*Se genera la variable de asistencia a espacio pblico*
replace p017=0 if p017==2
replace p017=. if p017==9
ren p017 asiste_esp

*Se generara la variable de percepcin de condiciones fisicas*
gen per_condfi=1 if p022==1 | p022==2
replace per_condfi=0 if p022==3 | p022==4
gen per_condfi2=0
replace per_condfi2=1 if p022==1
drop p022

gen relacion=1 if p013==1 |  p013==2
replace relacion=0 if p013==4 | p013==5

gen relacion2=0
replace relacion2=1 if p013==1 

*Se agregan los datos a nivel espacio publico*
collapse(mean)   estrato CANCELAD clavedemunicipio asiste_esp per_seguridad per_conseg per_condfi  per_seguridad2 per_conseg2 per_condfi2  relacion relacion2 tiempo ao ao_encuesta [aw=Factor] , by (clave_unica)
sort  clave_unica

* Se graba la base de datos*
save "$NDATA\tiempo0", replace

*Se trabaja con la informacion del censo*
clear
use "$DATA\BD Censo 2010 (mean sum).dta"
sort  clave_unica

*Se pega la informacion del censo a la base previamente trabajada*
merge 1:1 clave_unica using "$NDATA\tiempo0.dta"
save "$NDATA\tiempo0C", replace

*Se proceda a trabajar con la base de datos de 2010*
clear
use "$DATA\Encuesta 2010.dta"
keep  b03 b04 b10 b05 b06 b08 b01 d01-d08 Cve_edo Cve_mun clave_unica CANCELAD ao Factor   estrato
gen clavedemunicipio=Cve_edo+Cve_mun
destring clavedemunicipio, replace

tostring clave_unica, gen(folio) force format(%14.12g)
gen folio2=substr(folio,5,5)
destring folio2, replace
replace clavedemunicipio=folio2 if folio2!=clavedemunicipio

* Se genera la variable que identifica  ao en que se encuentra el programa*
gen tiempo=1 if ao==2009
replace tiempo=0 if ao==2010
 gen ao_encuesta=10

* Se genera la variable que identifica la cochesion vecinal*
gen relacion=1 if b01==1 | b01==2 
replace relacion=0 if b01==4 | b01==5
gen relacion2=0
replace relacion2=1 if b01==1
drop b01

* Se genera la variable que mide la participacion en actividades*
replace b08=0 if b08==2
replace b08=. if b08==9
ren b08 participa


*Se generara la variable de percepcin de condiciones fisicas*
gen per_condfi=1 if b06==1| b06==2
replace per_condfi=0 if b06==3 | b06==4
gen per_condfi2=0
replace per_condfi2=1 if b06==1
drop b06

*Se genera la variable de asistencia a espacio pblico*
replace b03=0 if b03==2
replace b03=. if b03==9
ren b03 asiste_esp

*Se procede a generar  la varaible de percepcion de seguridad*
gen per_seguridad=1 if b04==1 | b04==2
replace per_seguridad=0 if b04==3
gen per_seguridad2=0
replace per_seguridad2=1 if b04==1 
gen per_inseg=1 if b04==3 | b04==4
replace per_inseg=0 if b04==1 | b04==2
drop b04

* se genera la variable de condiciones de seguridad*
gen per_conseg=1 if b05==1| b05==2
replace per_conseg=0 if b05==3 | b05==4
gen per_conseg2=0 
replace per_conseg2=1 if b05==1
drop b05

*Se crea la segunda variable de percepcion de seguridad*
gen seg2=1 if b10>5
replace seg2=0 if b10<6
gen seg22=1 if b10>8
replace seg22=0 if b10<8
drop b10

*Indice de Cohesin social*
egen ind_cohsocial=rowtotal(d01 d02 d03 d04 d05 d06 d07 d08)
replace ind_cohsocial=. if ind_cohsocial==0
replace ind_cohsocial=ind_cohsocial/80

*Se agregan los datos a nivel espacio pblico*
collapse(mean)   estrato clavedemunicipio CANCELAD participa per_inseg ind_cohsocial asiste_esp per_seguridad per_conseg ////
		per_condfi relacion seg2 per_seguridad2 per_conseg2 per_condfi2 relacion2 seg22  ////
		tiempo ao_encuesta ao [aw=Factor], by (clave_unica)
sort clave_unica
save "$NDATA\tiempo1", replace

*Se pega la informacion del censo a la base previamente trabajada de la misma manera*
clear
use "$DATA\BD Censo 2010 (mean sum).dta"
sort  clave_unica
merge 1:1 clave_unica using "$NDATA\tiempo1.dta"
save "$NDATA\tiempo1C", replace

*Se continua trabajando con la base de 2011 *
clear
use "$DATA\Encuesta 2011.dta"

*Mntenemos las variables que se utilizaran *
keep  Cve_edompio pb3 pb4 pb10 pb5 pb6 pb8 pb1 pd1-pd8 clave_unica CANCELAD ao    estrato
ren Cve_edompio clavedemunicipio
destring clavedemunicipio, replace

tostring clave_unica, gen(folio) force format(%14.12g)
gen folio2=substr(folio,5,5)
destring folio2, replace
replace clavedemunicipio=folio2 if folio2!=clavedemunicipio

*Arreglando variable estrato*
bys clave_unica: egen xxx=total(estrato==2)
tab xxx
replace estrato=2 if xxx>=15 & estrato!=2
replace estrato=1 if xxx<15 & estrato!=1

*Se genera la variable que indica el ao en que se encuetra el programa*
gen tiempo=0 if ao==2011
replace tiempo=1 if ao==2010
replace tiempo=2 if ao==2009
 gen ao_encuesta=11

* Se genera la variable que identifica la cochesion vecinal*
gen relacion=1 if pb1==1 | pb1==2 
replace relacion=0 if pb1==4 | pb1==5
gen relacion2=0
replace relacion2=1 if pb1==1
drop pb1

* Se genera la variable que mide la participacion en actividades*
replace pb8=0 if pb8==2
replace pb8=. if pb8==9
ren pb8 participa

*Se generara la variable de percepcin de condiciones fisicas*
gen per_condfi=1 if pb6==1| pb6==2
replace per_condfi=0 if pb6==3 | pb6==4
gen per_condfi2=0
replace per_condfi2=1 if  pb6==1
drop pb6

*Se genera la variable de asistencia a espacio pblico*
replace pb3=0 if pb3==2
replace pb3=. if pb3==9
ren pb3 asiste_esp

*Se procede a generar  la varaible de percepcion de seguridad*
gen per_seguridad=1 if pb4==1 | pb4==2
replace per_seguridad=0 if pb4==3
gen per_seguridad2=0 
replace per_seguridad2=1  if pb4==1
gen per_inseg=1 if pb4==3 | pb4==4
replace per_inseg=0 if pb4==1 | pb4==2
drop pb4

*Se genera la variable de condiciones de seguridad*
gen per_conseg=1 if pb5==1| pb5==2
replace per_conseg=0 if pb5==3 | pb5==4
gen per_conseg2=0
replace per_conseg2=1 if pb5==1
drop pb5

*Se crea la segunda variable de percepcin de seguridad*
gen seg2=1 if pb10>5
replace seg2=0 if pb10<6
gen seg22=1 if pb10>8
replace seg22=0 if pb10<8
drop pb10

*Indice de Cohesin social*
foreach var in pd1 pd2 pd3 pd4 pd5 pd6 pd7 pd8 {
	quietly replace `var'=. if `var'>10
}
egen ind_cohsocial=rowtotal(pd1 pd2 pd3 pd4 pd5 pd6 pd7 pd8)
replace ind_cohsocial=. if ind_cohsocial==0
replace ind_cohsocial=ind_cohsocial/80
*Se agregan los datos a nivel espacio publico*
collapse (mean)   CANCELAD clavedemunicipio estrato per_inseg ind_cohsocial participa asiste_esp per_seguridad ////
	per_conseg per_condfi relacion seg2 per_seguridad2 per_conseg2 per_condfi2 relacion2 ////
	seg22 tiempo ao ao_encuesta, by (clave_unica)
sort clave_unica
save "$NDATA\tiempo2", replace

*Se pega la informacion del censo a la base previamente trabajada de la misma manera*
clear
use "$DATA\BD Censo 2010 (mean sum).dta"
sort  clave_unica
merge 1:1 clave_unica using "$NDATA\tiempo2.dta"
save "$NDATA\tiempo2C", replace

*Se junta toda la informacion en una sola base de datos*
append using "$NDATA\tiempo0C"
append using "$NDATA\tiempo1C"

keep if _merge==3
drop _merge
save "$NDATA\completa", replace


*Se procede a trabajar con la base de SIIPSO*
use "$DATA\Variables del SIIPSO montos y metros cuadrados.dta"

*Se lleva toda la informacion a pesos de 2009*
gen total2010= total_por_proyecto_integral_2010*.9502
gen total2011= total_por_proyecto_integral_2011*.9183
ren total_por_proyecto_integral_2009 total2009

keep clave_unica ao total2009 total2010 total2011

merge 1:m clave_unica using "$NDATA\completa.dta"

gen gasto0= total2009 if ao==2009
replace gasto0= total2010 if ao==2010
replace gasto0= total2011 if ao==2011

gen gasto1= total2010 if ao==2009
replace gasto1= total2011 if ao==2010
drop _merge

 save "$NDATA\completa,monto", replace

*se agrega la informacion a nivel municipal de CONEVAL*
clear
use "$DATA\coneval.dta"
keep  clavedelmunicipio poblacintotal ndicederezagosocial
ren clavedelmunicipio clavedemunicipio

merge 1:m clavedemunicipio using "$NDATA\completa,monto"
destring poblacintotal, replace
drop if _merge==1

save "$NDATA\completa,municipio", replace






