*******
**PROGRAMA PARA GENERAR BASE DE DATOS FINAL
**EVALUACION PREP 2012
**DR. RAYMUNDO M. CAMPOS VAZQUEZ
*******

clear all
set more off
set rmsg on
set mem 1000m 
set matsize 2000
set seed 12345

************
****FOLDERS
************
global data_new="C:\Users\Raymundo Campos\Dropbox\Firm_Experiment\PREP\NEW DATA\"
global prog="C:\Users\Raymundo Campos\Dropbox\Firm_Experiment\PREP\DO\"
global log="C:\Users\Raymundo Campos\Dropbox\Firm_Experiment\PREP\log\"
global graph="C:\Users\Raymundo Campos\Dropbox\Firm_Experiment\PREP\GRAFICAS\"

**Folders colmex
global data_new="C:\Users\rmcampos\Dropbox\Firm_Experiment\PREP\NEW DATA\"
global prog="C:\Users\rmcampos\Dropbox\Firm_Experiment\PREP\DO\"
global log="C:\Users\rmcampos\Dropbox\Firm_Experiment\PREP\log\"
global graph="C:\Users\rmcampos\Dropbox\Firm_Experiment\PREP\GRAFICAS\"


***********************************************


use "$data_new\completa,municipio.dta", clear
*Se generan variables solicitadas en porcentajes*
gen pobmas=  (total_pobmas/total_pobtot)*100
gen pobfem=  (total_pobfem/ total_pobtot)* 100
gen pobent=  (total_pnacent/total_pobtot)* 100
gen pobind=  (total_p3ym_hli/total_pobtot)* 100
gen pob012= 1-(total_p_12ymas/total_pobtot)*100 
gen pob1517=(total_p_15a17/total_pobtot)*100 
gen pob1824=(total_p_18a24/total_pobtot)*100 
gen pob60mas=(total_p_60ymas/total_pobtot)*100
gen pob611no= (total_p6a11_noa/total_p_6a11)*100
gen pea=(total_pea/total_p_12ymas)*100
gen ocupada= (total_pocupada/total_p_12ymas)*100
gen pob15ans= (total_p15ym_an/total_p_15ymas)*100
gen pobsisal= (total_psinder/total_pobtot)*100
gen pobcasada= (total_p12ym_casa/total_p_12ymas)*100
gen pobcatol= (total_pcatolica/total_pobtot)*100
gen hogjefem= (total_hogjef_f/total_tothog)*100
gen vivpitierra= (total_vph_pisoti/total_vivtot)*100
gen vivsinbien= (total_vph_snbien/total_vivtot)*100
gen vivauto= (total_vph_autom/total_vivtot)*100
gen vivelec= (total_vph_c_elec/total_vivtot)*100
gen vivag=  (total_vph_aguadv/total_vivtot)*100
gen vivdren= (total_vph_drenaj/total_vivtot)*100

rename prom_graproes graproes
rename total_pobtot pobtot

drop prom* total_*	//Nos quedamos con las variables relevantes//

*****
**Definiendo Grupos de Tratamiento y Control
*****
gen T1=0 if (tiempo==0 & ao_encuesta==10)
replace T1=1 if (tiempo==1 & ao_encuesta==10)
replace T1=0 if T1==1 & CANCELAD==1	//Supuesto importante: Los espacios//
							//cancelados se toman como control pues no//
							//fueron intervenidos//

gen T2=0 if (tiempo==0 & ao_encuesta==11)
replace T2=1 if (tiempo==1 & ao_encuesta==11)
replace T2=0 if T2==1 & CANCELAD==1	//Supuesto importante: Los espacios//
							//cancelados se toman como control pues no//
							//fueron intervenidos//

gen T3=0 if (tiempo==0 & ao_encuesta==11)
replace T3=1 if (tiempo==2 & ao_encuesta==11)
replace T3=. if T3==1 & CANCELAD==1	//Supuesto importante: Los espacios//
							//cancelados se toman como control pues no//
							//fueron intervenidos//

label var T1 "Tratamiento 1 ao: 2010"
label var T2 "Tratamiento 1 ao: 2011"
label var T3 "Tratamiento 2 aos: 2011"

*Tabulando Espacios Pblicos en Cada ao
tab T1	//Impacto en Ao 2010//
tab T2	//Impacto en Ao 2011//
tab T3	//Impacto en Ao 2011 para periodo 2 aos//
****************************

*Generando variables:
gen tipo_estrato=estrato==2
drop estrato
label var tipo_estrato "1-Deportivos, 0-Culturales"

***Grabando Base de Datos
save "$data_new\PREP_Final.dta", replace
*************************

***Limpiando base: Eliminando espacios pblicos
** que no tienen informacin censal
*Describir qu tipo de espacios pblicos
tab ao_encuesta if pobmas==.
tab T1	if pobmas==. //Impacto en Ao 2010//
tab T2	if pobmas==. 	//Impacto en Ao 2011//
tab T3	if pobmas==. 	//Impacto en Ao 2011 para periodo 2 aos//
list ao_encuesta clave_unica if pobmas==.
drop if pobmas==.

*Tabulando Espacios Pblicos VERDADEROS en Cada ao
tab T1	//Impacto en Ao 2010//
tab T2	//Impacto en Ao 2011//
tab T3	//Impacto en Ao 2011 para periodo 2 aos//

******************
***LABELS DE VARIABLES EN LA BASE
******************
lab var  clave_unica "Clave Unica"
lab var ao "Ao de Primera Intervencin"
lab var total2009 "Total de aportaciones otorgadas en 2009"
lab var total2010 "Total de aportaciones otorgadas en 2010"
lab var total2011 "Total de aportaciones otorgadas en 2011"
lab var  graproes "Promedio de grado escolar"
lab var pobtot "Poblacin Total por Manzana"
lab var CANCELAD "Indicador de espacios Cancelados"
lab var ind_cohsocial " Indice de cohesion social"
lab var  participa "Participa en actividades"
lab var  asiste_esp "Asiste a espacio publico"
lab var per_seguridad "Percepcipon de seguridad, dos"
lab var per_inseg "Percepcipon de inseguridad, dos"
lab var  per_conseg "Percepcion de condiciones de seguridad, dos"
lab var  per_condfi "Percepcion de condiciones fisicas, dos"
lab var relacion "Relacion con los vecinos, dos"
lab var seg2 "Percepcion seguridad alternativa, primera"
lab var per_seguridad2 "Percepcipon de seguridad, primera"
lab var  per_conseg2 "Percepcion de condiciones de seguridad, primera"
lab var  per_condfi2 "Percepcion de condiciones fisicas, primera"
lab var relacion2 "Relacion con los vecinos, primera"
lab var seg22 "Percepcion seguridad alternativa,primera"
lab var tiempo "Aos en el programa"
lab var ao_encuesta "Ao de levantamiento de encuesta"
lab var  gasto0 "Total de aportaciones otorgadas en ao inicial"
lab var gasto1 "Total de aoportaciones otorgadas en el segundo ao"
lab var  pobmas "Porcentaje poblacion masculina"
lab var pobfem "Porcentaje poblacion femenina"
lab var pobent "Porcentaje poblacin nacida en la entidad"
lab var pobind "Porcentaje poblacion Indijena"
lab var pob1517 "Porcentaje poblacion entre 15 y 17"
lab var pob1824 "Porcentaje poblacion entre 18 y 24" 
lab var pob60mas "Porcentaje poblacion de 60 y mas"
lab var pob611no "Porcentaje entre 6 y 11 aos no escuela"
lab var pea "Poblacion economicamente activa"
lab var ocupada "Poblacion mayor 12 ocupada"
lab var pob15ans "Porcentaje poblacion mayor 15 analfabeta"
lab var pobsisal "Porcentaje sin derecho servicios salud"
lab var pobcasada " Procentaje Poblacion mayor 12 casada"
lab var pobcatol "Porcentaje poblacion catolica"
lab var hogjefem "Porcentaje hogares con jefe fem"
lab var vivsinbien "Porcenaje viviendas sin ningun bien"
lab var vivpitierra "Porcentaje viviendas piso tierra"
lab var vivauto "Porcentaje viviendas con auto"
lab var vivelec "Porcentaje vivendas con electricidad"
lab var vivag "Porcentaje vivendas con agua"
lab var vivdren "Porcentaje viviendas con drenaje"



save "$data_new\PREP_Final.dta", replace
