*******
**PROGRAMA PARA ESTIMAR ERRORES ESTANDAR
**EVALUACION PREP 2012
**DR. RAYMUNDO M. CAMPOS VAZQUEZ
*******

clear all
set more off
set rmsg on
set mem 1000m 
set matsize 2000
set seed 12345

************
****FOLDERS
************
global data_new="C:\Users\Raymundo Campos\Dropbox\Firm_Experiment\PREP\NEW DATA\"
global prog="C:\Users\Raymundo Campos\Dropbox\Firm_Experiment\PREP\DO\"
global log="C:\Users\Raymundo Campos\Dropbox\Firm_Experiment\PREP\log\"
global graph="C:\Users\Raymundo Campos\Dropbox\Firm_Experiment\PREP\GRAFICAS\"

*********************************
use "$data_new\PREP_Final.dta", clear
****************************
** Definiendo las caractersticas observables a incluir
****************************

global X_pob="pobtot pobmas pobfem pobent pobind pob012 pob1517 pob1824 pob60mas"
global X_educ="pob15ans graproes"
global X_caract="pobcasada pobcatol hogjefem"
global X_ocup="pea ocupada  pobsisal"
global X_assets="vivpitierra vivsinbien vivauto vivelec vivag vivdren"
global X_muni="poblacintotal ndicederezagosocial tipo_estrato"
****************************
*Variables Dependientes:
global Ya="per_seguridad per_seguridad2 per_inseg seg2 seg22 per_conseg per_conseg2"
global Yb="asiste_esp per_condfi per_condfi2 participa"
global Yc="relacion relacion2 ind_cohsocial"

****************************
***Empezando Rutina
****************************

*********************************
****Pscore Routine
*PASO 1. Estimation of pscore
*********************************
*********************************

****
** 3 impactos: periodo 2010, 2011: 1 ao y 2 aos
****

**
*Modelo A: Estima todas las caractersticas observables
**
logit T1 $X_pob $X_educ $X_caract $X_ocup $X_assets $X_muni if T1!=.
predict pscore1_A if T1!=.

logit T2 $X_pob $X_educ $X_caract $X_ocup $X_assets $X_muni if T2!=.
predict pscore2_A if T2!=.

logit T3 $X_pob $X_educ $X_caract $X_ocup $X_assets $X_muni if T3!=.
predict pscore3_A if T3!=.

**
*Modelo B: Interacciones
**
local i=1
foreach var in ndicederezagosocial tipo_estrato {
	foreach var2 in $X_ocup $X_assets {
	quietly gen _X`i'=`var'*`var2'
	local i=`i'+1
	}
}

logit T1 $X_pob $X_educ $X_caract $X_ocup $X_assets $X_muni _X* if T1!=.
predict pscore1_B if T1!=.

logit T2 $X_pob $X_educ $X_caract $X_ocup $X_assets $X_muni _X* if T2!=.
predict pscore2_B if T2!=.

logit T3 $X_pob $X_educ $X_caract $X_ocup $X_assets $X_muni _X* if T3!=.
predict pscore3_B if T3!=.

*********************************
*PASO 2. MTODO DE MATCHING
*********************************

gen unif=runiform()
save "$data_new\temporal.dta", replace
set seed 12345
set more off
quietly forval bs=1/300 {
foreach var2 in A B {
foreach k in 1 2 3 {
quietly use "$data_new\temporal.dta", clear
quietly bsample, strata(tipo_estrato ao_encuesta)
quietly sort pscore`k'_`var2' unif
foreach var in per_seguridad per_seguridad2 seg2 seg22 per_conseg per_conseg2 ////
			asiste_esp per_condfi per_condfi2 participa ////
			relacion relacion2 ind_cohsocial {
quietly matrix `var2'`k'`var'=[0]
quietly psmatch2 T`k', outcome(`var') pscore(pscore`k'_`var2') kernel bwidth(0.02)
quietly matrix `var2'`k'`var'=[`var2'`k'`var' \ r(att)]
quietly psmatch2 T`k', outcome(`var') pscore(pscore`k'_`var2') neighbor(3) caliper(0.02)
quietly matrix `var2'`k'`var'=[`var2'`k'`var' \ r(att)]
quietly psmatch2 T`k', outcome(`var') pscore(pscore`k'_`var2') kernel bwidth(0.01)
quietly matrix `var2'`k'`var'=[`var2'`k'`var' \ r(att)]
quietly psmatch2 T`k', outcome(`var') pscore(pscore`k'_`var2') radius caliper(0.02)
quietly matrix `var2'`k'`var'=[`var2'`k'`var' \ r(att)]
quietly matrix Mod`var2'`k'`var'=`var2'`k'`var'[2...,1]
}
}
}

foreach var2 in A B {
foreach k in 1 2 3 {
foreach var in per_seguridad per_seguridad2 seg2 seg22 per_conseg per_conseg2 ////
			asiste_esp per_condfi per_condfi2 participa ////
			relacion relacion2 ind_cohsocial {
quietly matrix Mod`var2'`k'`var'=Mod`var2'`k'`var''
quietly svmat Mod`var2'`k'`var'
}
}
}

quietly keep Mod*
quietly keep if _n==1
quietly gen bsrep=`bs'
	if `bs'==1 {
		quietly save "$data_new\estimates_bs.dta", replace
	}
	else {
		quietly append using "$data_new\estimates_bs.dta"
		quietly sort bsrep
		quietly save "$data_new\estimates_bs.dta", replace
	}
}

set seed 12345
set more off
quietly forval bs=1/300 {
foreach var2 in A B {
foreach k in 1 2 3 {
quietly use "$data_new\temporal.dta", clear
quietly bsample, strata(tipo_estrato ao_encuesta)
quietly sort pscore`k'_`var2' unif
foreach var in per_inseg {
quietly matrix `var2'`k'`var'=[0]
quietly psmatch2 T`k', outcome(`var') pscore(pscore`k'_`var2') kernel bwidth(0.02)
quietly matrix `var2'`k'`var'=[`var2'`k'`var' \ r(att)]
quietly psmatch2 T`k', outcome(`var') pscore(pscore`k'_`var2') neighbor(3) caliper(0.02)
quietly matrix `var2'`k'`var'=[`var2'`k'`var' \ r(att)]
quietly psmatch2 T`k', outcome(`var') pscore(pscore`k'_`var2') kernel bwidth(0.01)
quietly matrix `var2'`k'`var'=[`var2'`k'`var' \ r(att)]
quietly psmatch2 T`k', outcome(`var') pscore(pscore`k'_`var2') radius caliper(0.02)
quietly matrix `var2'`k'`var'=[`var2'`k'`var' \ r(att)]
quietly matrix Mod`var2'`k'`var'=`var2'`k'`var'[2...,1]
}
}
}

foreach var2 in A B {
foreach k in 1 2 3 {
foreach var in per_inseg {
quietly matrix Mod`var2'`k'`var'=Mod`var2'`k'`var''
quietly svmat Mod`var2'`k'`var'
}
}
}

quietly keep Mod*
quietly keep if _n==1
quietly gen bsrep=`bs'
	if `bs'==1 {
		quietly save "$data_new\estimates_bs2.dta", replace
	}
	else {
		quietly append using "$data_new\estimates_bs2.dta"
		quietly sort bsrep
		quietly save "$data_new\estimates_bs2.dta", replace
	}
}

merge 1:1 bs using "$data_new\estimates_bs.dta"
tab _merge
drop _merge
save "$data_new\estimates_bs.dta", replace
erase "$data_new\temporal.dta"
erase "$data_new\estimates_bs2.dta"
use "$data_new\estimates_bs.dta", clear
foreach var2 in A B {
foreach k in 1 2 3 {
foreach var in per_seguridad per_seguridad2 per_inseg seg2 seg22 per_conseg per_conseg2 ////
			asiste_esp per_condfi per_condfi2 participa ////
			relacion relacion2 ind_cohsocial {
display "Model `var2' " "`var'"
tabstat Mod`var2'`k'`var'1-Mod`var2'`k'`var'4, stats(sd)
}
}
}
