*******
**PROGRAMA PARA CALCULAR GRAFICAS DEL PROPENSITY SCORE
**EVALUACION PREP 2012
**DR. RAYMUNDO M. CAMPOS VAZQUEZ
*******

clear all
set more off
set rmsg on
set mem 1000m 
set matsize 2000
set seed 12345

************
****FOLDERS
************
global data_new="C:\Users\Raymundo Campos\Dropbox\Firm_Experiment\PREP\NEW DATA\"
global prog="C:\Users\Raymundo Campos\Dropbox\Firm_Experiment\PREP\DO\"
global log="C:\Users\Raymundo Campos\Dropbox\Firm_Experiment\PREP\log\"
global graph="C:\Users\Raymundo Campos\Dropbox\Firm_Experiment\PREP\GRAFICAS\"

*********************************
use "$data_new\PREP_Final.dta", clear
****************************
** Definiendo las caractersticas observables a incluir
****************************

global X_pob="pobtot pobmas pobfem pobent pobind pob012 pob1517 pob1824 pob60mas"
global X_educ="pob15ans graproes"
global X_caract="pobcasada pobcatol hogjefem"
global X_ocup="pea ocupada  pobsisal"
global X_assets="vivpitierra vivsinbien vivauto vivelec vivag vivdren"
global X_muni="poblacintotal ndicederezagosocial tipo_estrato"
****************************
*Variables Dependientes:
global Ya="per_seguridad per_seguridad2 seg2 seg22 per_conseg per_conseg2"
global Yb="asiste_esp per_condfi per_condfi2 participa"
global Yc="relacion relacion2 ind_cohsocial"

****************************
***Empezando Rutina
****************************

*********************************
****Pscore Routine
*PASO 1. Estimation of pscore
*********************************
*********************************

****
** 3 impactos: periodo 2010, 2011: 1 ao y 2 aos
****

**
*Modelo A: Estima todas las caractersticas observables
**
logit T1 $X_pob $X_educ $X_caract $X_ocup $X_assets $X_muni if T1!=.
predict pscore1_A if T1!=.

logit T2 $X_pob $X_educ $X_caract $X_ocup $X_assets $X_muni if T2!=.
predict pscore2_A if T2!=.

logit T3 $X_pob $X_educ $X_caract $X_ocup $X_assets $X_muni if T3!=.
predict pscore3_A if T3!=.

**
*Modelo B: Interacciones
**
local i=1
foreach var in ndicederezagosocial tipo_estrato {
	foreach var2 in $X_ocup $X_assets {
	quietly gen _X`i'=`var'*`var2'
	local i=`i'+1
	}
}

logit T1 $X_pob $X_educ $X_caract $X_ocup $X_assets $X_muni _X* if T1!=.
predict pscore1_B if T1!=.

logit T2 $X_pob $X_educ $X_caract $X_ocup $X_assets $X_muni _X* if T2!=.
predict pscore2_B if T2!=.

logit T3 $X_pob $X_educ $X_caract $X_ocup $X_assets $X_muni _X* if T3!=.
predict pscore3_B if T3!=.

*********************************
*PASO 2. MTODO DE MATCHING
*********************************

gen unif=runiform()

sort pscore1_A unif
****Modelo 2009-2010
psmatch2 T1, outcome(per_inseg) pscore(pscore1_A) kernel bwidth(0.02)
set scheme s2mono
graph box pscore1_A, over(T1) ////
	ytitle(Puntaje de Propensin) ////
	ylabel(, grid glpattern(dash)) graphregion(fcolor(white))
graph export "$graph/PS_1A_Antes.emf", replace font("Times New Roman")

graph box pscore1_A if _weight>0 & _weight!=. [aw=_weight], over(T1) ////
	ytitle(Puntaje de Propensin) ////
	ylabel(, grid glpattern(dash)) graphregion(fcolor(white))
graph export "$graph/PS_1A_Despues.emf", replace font("Times New Roman")

*Modelo 2010-2011
psmatch2 T2, outcome(per_inseg) pscore(pscore2_A) kernel bwidth(0.02)
graph box pscore2_A, over(T2) ////
	ytitle(Puntaje de Propensin) ////
	ylabel(, grid glpattern(dash)) graphregion(fcolor(white))
graph export "$graph/PS_2A_Antes.emf", replace font("Times New Roman")

graph box pscore2_A if _weight>0 & _weight!=. [aw=_weight], over(T2) ////
	ytitle(Puntaje de Propensin) ////
	ylabel(, grid glpattern(dash)) graphregion(fcolor(white))
graph export "$graph/PS_2A_Despues.emf", replace font("Times New Roman")

*Modelo 2009-2011
psmatch2 T3, outcome(per_inseg) pscore(pscore3_A) kernel bwidth(0.02)
graph box pscore3_A, over(T3) ////
	ytitle(Puntaje de Propensin) ////
	ylabel(, grid glpattern(dash)) graphregion(fcolor(white))
graph export "$graph/PS_3A_Antes.emf", replace font("Times New Roman")

graph box pscore3_A if _weight>0 & _weight!=. [aw=_weight], over(T3) ////
	ytitle(Puntaje de Propensin) ////
	ylabel(, grid glpattern(dash)) graphregion(fcolor(white))
graph export "$graph/PS_3A_Despues.emf", replace font("Times New Roman")

